=== SP/Makefile ===
#
# iowolfsp Makefile
#
# GNU Make required
#

COMPILE_PLATFORM=$(shell uname | sed -e 's/_.*//' | tr '[:upper:]' '[:lower:]' | sed -e 's/\//_/g')
COMPILE_ARCH=$(shell uname -m | sed -e 's/i.86/x86/' | sed -e 's/^arm.*/arm/')
ARM_VER_CHECK=$(shell uname -m)

ifeq ($(COMPILE_PLATFORM),sunos)
  # Solaris uname and GNU uname differ
  COMPILE_ARCH=$(shell uname -p | sed -e 's/i.86/x86/')
endif

ifndef BUILD_STANDALONE
  BUILD_STANDALONE =
endif
ifndef BUILD_CLIENT
  BUILD_CLIENT     =
endif
ifndef BUILD_SERVER
  BUILD_SERVER     = 0
endif
ifndef BUILD_GAME_SO
  BUILD_GAME_SO    =
endif
ifndef BUILD_GAME_QVM
  BUILD_GAME_QVM   = 0
endif
ifndef BUILD_BASEGAME
  BUILD_BASEGAME =
endif
ifndef BUILD_RENDERER_REND2
  BUILD_RENDERER_REND2 =
endif
ifndef BUILD_ARCHIVE
  BUILD_ARCHIVE = 0
endif

#############################################################################
#
# If you require a different configuration from the defaults below, create a
# new file named "Makefile.local" in the same directory as this file and define
# your parameters there. This allows you to change configuration without
# causing problems with keeping up to date with the repository.
#
#############################################################################
-include Makefile.local

ifeq ($(COMPILE_PLATFORM),cygwin)
  PLATFORM=mingw32
endif

ifndef PLATFORM
PLATFORM=$(COMPILE_PLATFORM)
endif
export PLATFORM

ifeq ($(PLATFORM),mingw32)
  MINGW=1
endif
ifeq ($(PLATFORM),mingw64)
  MINGW=1
endif

ifeq ($(COMPILE_ARCH),i386)
  COMPILE_ARCH=x86
endif
ifeq ($(COMPILE_ARCH),i86pc)
  COMPILE_ARCH=x86
endif

ifeq ($(COMPILE_ARCH),amd64)
  COMPILE_ARCH=x86_64
endif
ifeq ($(COMPILE_ARCH),x64)
  COMPILE_ARCH=x86_64
endif

ifeq ($(COMPILE_ARCH),powerpc)
  COMPILE_ARCH=ppc
endif
ifeq ($(COMPILE_ARCH),powerpc64)
  COMPILE_ARCH=ppc64
endif

ifeq ($(COMPILE_ARCH),axp)
  COMPILE_ARCH=alpha
endif

ifeq ($(COMPILE_ARCH),sparc64)
  COMPILE_ARCH=sparc
endif

ifndef ARCH
ARCH=$(COMPILE_ARCH)
endif
export ARCH

# For historical compatibility reasons on non-windows
# platform output files use i386 instead of x86
ifeq ($(ARCH),x86)
  ifndef MINGW
    FILE_ARCH=i386
  endif
endif

ifndef FILE_ARCH
FILE_ARCH=$(ARCH)
endif
export FILE_ARCH

ifneq ($(PLATFORM),$(COMPILE_PLATFORM))
  CROSS_COMPILING=1
else
  CROSS_COMPILING=0

  ifneq ($(ARCH),$(COMPILE_ARCH))
    CROSS_COMPILING=1
  endif
endif
export CROSS_COMPILING

ifndef VERSION
VERSION=1.5a
endif

ifndef CLIENTBIN
 ifdef MINGW
    CLIENTBIN=ioWolfSP
  else
    CLIENTBIN=iowolfsp
  endif
endif

ifndef SERVERBIN
  ifdef MINGW
    SERVERBIN=ioWolfSPDED
  else
    SERVERBIN=iowolfspded
  endif
endif

ifndef BASEGAME
BASEGAME=main
endif

ifndef BASEGAME_CFLAGS
BASEGAME_CFLAGS=
endif

ifndef COPYDIR
COPYDIR="/usr/local/games/wolf"
endif

ifndef COPYBINDIR
COPYBINDIR=$(COPYDIR)
endif

ifndef MOUNT_DIR
MOUNT_DIR=code
endif

ifndef BUILD_DIR
BUILD_DIR=build
endif

ifndef TEMPDIR
TEMPDIR=/tmp
endif

ifndef GENERATE_DEPENDENCIES
GENERATE_DEPENDENCIES=1
endif

ifndef USE_OPENAL
USE_OPENAL=1
endif

ifndef USE_OPENAL_DLOPEN
USE_OPENAL_DLOPEN=1
endif

ifndef USE_CURL
USE_CURL=0
endif

ifndef USE_CURL_DLOPEN
  ifdef MINGW
    USE_CURL_DLOPEN=0
  else
    USE_CURL_DLOPEN=1
  endif
endif

ifndef USE_CODEC_VORBIS
USE_CODEC_VORBIS=1
endif

ifndef USE_CODEC_OPUS
USE_CODEC_OPUS=1
endif

ifndef USE_MUMBLE
USE_MUMBLE=1
endif

ifndef USE_VOIP
USE_VOIP=1
endif

ifndef USE_FREETYPE
USE_FREETYPE=1
endif

ifndef USE_INTERNAL_LIBS
USE_INTERNAL_LIBS=1
endif

ifndef USE_INTERNAL_OGG
USE_INTERNAL_OGG=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_VORBIS
USE_INTERNAL_VORBIS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_OPUS
USE_INTERNAL_OPUS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_ZLIB
USE_INTERNAL_ZLIB=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_JPEG
USE_INTERNAL_JPEG=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_FREETYPE
USE_INTERNAL_FREETYPE=$(USE_INTERNAL_LIBS)
endif

ifndef USE_LOCAL_HEADERS
USE_LOCAL_HEADERS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_RENDERER_DLOPEN
USE_RENDERER_DLOPEN=1
endif

ifndef USE_XDG
USE_XDG=0
endif

ifndef USE_YACC
USE_YACC=0
endif

ifndef DEBUG_CFLAGS
DEBUG_CFLAGS=-g -O0
endif

ifndef USE_BLOOM
USE_BLOOM=1
endif

ifndef USE_OPENGLES
USE_OPENGLES=0
endif

ifndef RASPBERRY_PI
RASPBERRY_PI=0
endif

ifndef USE_AUTHORIZE_SERVER
USE_AUTHORIZE_SERVER=0
endif


#############################################################################

BD=$(BUILD_DIR)/debug-$(PLATFORM)-$(ARCH)
BR=$(BUILD_DIR)/release-$(PLATFORM)-$(ARCH)
CDIR=$(MOUNT_DIR)/client
SDIR=$(MOUNT_DIR)/server
RDIR=$(MOUNT_DIR)/renderer
R2DIR=$(MOUNT_DIR)/rend2
CMDIR=$(MOUNT_DIR)/qcommon
SDLDIR=$(MOUNT_DIR)/sdl
ASMDIR=$(MOUNT_DIR)/asm
SYSDIR=$(MOUNT_DIR)/sys
GDIR=$(MOUNT_DIR)/game
CGDIR=$(MOUNT_DIR)/cgame
BLIBDIR=$(MOUNT_DIR)/botlib
NDIR=$(MOUNT_DIR)/null
UIDIR=$(MOUNT_DIR)/ui
JPDIR=$(MOUNT_DIR)/jpeg-8c
OGGDIR=$(MOUNT_DIR)/libogg-1.3.2
VORBISDIR=$(MOUNT_DIR)/libvorbis-1.3.5
OPUSDIR=$(MOUNT_DIR)/opus-1.1.2
OPUSFILEDIR=$(MOUNT_DIR)/opusfile-0.7
ZDIR=$(MOUNT_DIR)/zlib-1.2.8
FTDIR=$(MOUNT_DIR)/freetype-2.6.4
SPLDIR=$(MOUNT_DIR)/splines
Q3ASMDIR=$(MOUNT_DIR)/tools/asm
LBURGDIR=$(MOUNT_DIR)/tools/lcc/lburg
Q3CPPDIR=$(MOUNT_DIR)/tools/lcc/cpp
Q3LCCETCDIR=$(MOUNT_DIR)/tools/lcc/etc
Q3LCCSRCDIR=$(MOUNT_DIR)/tools/lcc/src
SDLHDIR=$(MOUNT_DIR)/SDL2
LIBSDIR=$(MOUNT_DIR)/libs

bin_path=$(shell which $(1) 2> /dev/null)

# We won't need this if we only build the server
ifneq ($(BUILD_CLIENT),0)
  # set PKG_CONFIG_PATH to influence this, e.g.
  # PKG_CONFIG_PATH=/opt/cross/i386-mingw32msvc/lib/pkgconfig
  ifneq ($(call bin_path, pkg-config),)
    CURL_CFLAGS ?= $(shell pkg-config --silence-errors --cflags libcurl)
    CURL_LIBS ?= $(shell pkg-config --silence-errors --libs libcurl)
    OPENAL_CFLAGS ?= $(shell pkg-config --silence-errors --cflags openal)
    OPENAL_LIBS ?= $(shell pkg-config --silence-errors --libs openal)
    SDL_CFLAGS ?= $(shell pkg-config --silence-errors --cflags sdl2|sed 's/-Dmain=SDL_main//')
    SDL_LIBS ?= $(shell pkg-config --silence-errors --libs sdl2)
  else
    # assume they're in the system default paths (no -I or -L needed)
    CURL_LIBS ?= -lcurl
    OPENAL_LIBS ?= -lopenal
  endif
  # Use sdl2-config if all else fails
  ifeq ($(SDL_CFLAGS),)
    ifneq ($(call bin_path, sdl2-config),)
      SDL_CFLAGS ?= $(shell sdl2-config --cflags)
      SDL_LIBS ?= $(shell sdl2-config --libs)
    endif
  endif
endif


#############################################################################
# SETUP AND BUILD -- LINUX
#############################################################################

## Defaults
INSTALL=install
MKDIR=mkdir
EXTRA_FILES=
CLIENT_EXTRA_FILES=

ifneq (,$(findstring "$(COMPILE_PLATFORM)", "linux" "gnu_kfreebsd" "kfreebsd-gnu" "gnu"))
  TOOLS_CFLAGS += -DARCH_STRING=\"$(COMPILE_ARCH)\"
endif

ifneq (,$(findstring "$(PLATFORM)", "linux" "gnu_kfreebsd" "kfreebsd-gnu" "gnu"))

  BASE_CFLAGS = -Wall -fno-strict-aliasing \
    -pipe -DUSE_ICON -DARCH_STRING=\\\"$(FILE_ARCH)\\\"
  CLIENT_CFLAGS += $(SDL_CFLAGS)

  OPTIMIZEVM = -O3
  OPTIMIZE = $(OPTIMIZEVM) -ffast-math

  ifeq ($(ARCH),x86_64)
    OPTIMIZEVM = -O3
    OPTIMIZE = $(OPTIMIZEVM) -ffast-math
  endif
  ifeq ($(ARCH),x86)
    OPTIMIZEVM = -O3 -march=i586
    OPTIMIZE = $(OPTIMIZEVM) -ffast-math
  endif
  ifeq ($(ARCH),ppc)
    BASE_CFLAGS += -maltivec
  endif
  ifeq ($(ARCH),ppc64)
    BASE_CFLAGS += -maltivec
  endif
  ifeq ($(ARCH),sparc)
    OPTIMIZE += -mtune=ultrasparc3 -mv8plus
    OPTIMIZEVM += -mtune=ultrasparc3 -mv8plus
  endif
  ifeq ($(ARCH),sparc64)
    OPTIMIZE += -mtune=ultrasparc3 -mv8plus
    OPTIMIZEVM += -mtune=ultrasparc3 -mv8plus
  endif
  ifeq ($(ARCH),alpha)
    # According to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=410555
    # -ffast-math will cause the client to die with SIGFPE on Alpha
    OPTIMIZE = $(OPTIMIZEVM)
  endif

  SHLIBEXT=so
  SHLIBCFLAGS=-fPIC -fvisibility=hidden
  SHLIBLDFLAGS=-shared $(LDFLAGS)

  THREAD_LIBS=-lpthread
  LIBS=-ldl -lm

  ifeq ($(USE_LOCAL_HEADERS),1)
    CLIENT_CFLAGS += -I$(SDLHDIR)/include
  endif

  ifeq ($(USE_INTERNAL_LIBS),1)
    ifeq ($(CROSS_COMPILING),1)
      ifeq ($(ARCH),x86)
      SDL_LIBS = $(LIBSDIR)/linux32/libSDL2main.a \
                 $(LIBSDIR)/linux32/libSDL2-2.0.so.0.4.0
      endif
      ifeq ($(ARCH),x86_64)
      SDL_LIBS = $(LIBSDIR)/linux64/libSDL2main.a \
                 $(LIBSDIR)/linux64/libSDL2-2.0.so.0.4.0
      endif
    endif
  endif

  ifeq ($(USE_OPENGLES),1)
    ifeq ($(RASPBERRY_PI),1)
      BUILD_RENDERER_REND2 = 0
      BASE_CFLAGS += -DUSE_OPENGLES
      LDFLAGS += -L/opt/vc/lib
      CLIENT_LIBS = $(SDL_LIBS) -lbcm_host
      RENDERER_LIBS = $(SDL_LIBS) -lEGL -lGLESv1_CM -lbcm_host
      SERVER_LIBS = -lbcm_host
    else
      BUILD_RENDERER_REND2 = 0
      BASE_CFLAGS += -DUSE_OPENGLES
      CLIENT_LIBS = $(SDL_LIBS)
      RENDERER_LIBS = $(SDL_LIBS) -lEGL -lGLESv1_CM
      SERVER_LIBS =
    endif
  else
    CLIENT_CFLAGS += $(SDL_CFLAGS)
    CLIENT_LIBS += $(SDL_LIBS)
    RENDERER_LIBS += $(SDL_LIBS) -lGL
    SERVER_LIBS =
  endif

  ifeq ($(USE_OPENAL),1)
    ifneq ($(USE_OPENAL_DLOPEN),1)
      CLIENT_LIBS += $(THREAD_LIBS) $(OPENAL_LIBS)
    endif
  endif

  ifeq ($(USE_CURL),1)
    CLIENT_CFLAGS += $(CURL_CFLAGS)
    ifneq ($(USE_CURL_DLOPEN),1)
      CLIENT_LIBS += $(CURL_LIBS)
    endif
  endif

  ifeq ($(USE_MUMBLE),1)
    CLIENT_LIBS += -lrt
  endif

else # ifeq Linux

#############################################################################
# SETUP AND BUILD -- MAC OS X
#############################################################################

ifeq ($(PLATFORM),darwin)
  LIBS = -framework Cocoa
  CLIENT_LIBS=
  RENDERER_LIBS=
  OPTIMIZEVM=

  BASE_CFLAGS = -Wall -mmacosx-version-min=10.5 \
    -DMAC_OS_X_VERSION_MIN_REQUIRED=1050

  ifeq ($(ARCH),ppc)
    BASE_CFLAGS += -arch ppc -faltivec
    OPTIMIZEVM += -O3
  endif
  ifeq ($(ARCH),ppc64)
    BASE_CFLAGS += -arch ppc64 -faltivec
  endif
  ifeq ($(ARCH),x86)
    OPTIMIZEVM += -march=prescott -mfpmath=sse
    # x86 vm will crash without -mstackrealign since MMX instructions will be
    # used no matter what and they corrupt the frame pointer in VM calls
    BASE_CFLAGS += -arch i386 -mstackrealign
  endif
  ifeq ($(ARCH),x86_64)
    OPTIMIZEVM += -arch x86_64 -mfpmath=sse
  endif

  # When compiling on OSX for OSX, we're not cross compiling as far as the
  # Makefile is concerned, as target architecture is specified as a compiler
  # argument
  ifeq ($(COMPILE_PLATFORM),darwin)
    CROSS_COMPILING=0
  endif

  ifeq ($(CROSS_COMPILING),1)
    ifeq ($(ARCH),ppc)
      CC=powerpc-apple-darwin10-gcc
      RANLIB=powerpc-apple-darwin10-ranlib
    else
      ifeq ($(ARCH),x86)
        CC=i686-apple-darwin10-gcc
        RANLIB=i686-apple-darwin10-ranlib
      else
        $(error Architecture $(ARCH) is not supported when cross compiling)
      endif
    endif
  endif

  BASE_CFLAGS += -fno-strict-aliasing -fno-common -pipe

  ifeq ($(USE_OPENAL),1)
    ifneq ($(USE_OPENAL_DLOPEN),1)
      ifneq ($(USE_INTERNAL_LIBS),1)
        CLIENT_CFLAGS += $(OPENAL_CFLAGS)
        CLIENT_LIBS += $(THREAD_LIBS) $(OPENAL_LIBS)
      else
        CLIENT_LIBS += -framework OpenAL
      endif
    endif
  endif

  ifeq ($(USE_CURL),1)
    CLIENT_CFLAGS += $(CURL_CFLAGS)
    ifneq ($(USE_CURL_DLOPEN),1)
      CLIENT_LIBS += $(CURL_LIBS)
    endif
  endif

  BASE_CFLAGS += -D_THREAD_SAFE=1

  ifeq ($(USE_LOCAL_HEADERS),1)
    CLIENT_CFLAGS += -I$(SDLHDIR)/include
  else
    CLIENT_CFLAGS += $(SDL_CFLAGS)
  endif

  # We copy sdlmain before ranlib'ing it so that subversion doesn't think
  #  the file has been modified by each build.
  ifeq ($(USE_INTERNAL_LIBS),1)
    LIBSDLMAIN=$(B)/libSDL2main.a
    LIBSDLMAINSRC=$(LIBSDIR)/macosx/libSDL2main.a
    CLIENT_LIBS += -framework IOKit $(LIBSDIR)/macosx/libSDL2-2.0.0.dylib
    RENDERER_LIBS += -framework OpenGL $(LIBSDIR)/macosx/libSDL2-2.0.0.dylib
  else
    CLIENT_LIBS += -framework IOKit $(SDL_LIBS)
