## iortcw 1.51+dfsg1

=== MP/Makefile ===
--- 
+++ 
@@ -126,7 +126,7 @@
 export CROSS_COMPILING
 
 ifndef VERSION
-VERSION=1.5a
+VERSION=1.51-MP
 endif
 
 ifndef CLIENTBIN
@@ -198,7 +198,7 @@
 endif
 
 ifndef USE_CODEC_VORBIS
-USE_CODEC_VORBIS=1
+USE_CODEC_VORBIS=0
 endif
 
 ifndef USE_CODEC_OPUS
@@ -266,7 +266,7 @@
 endif
 
 ifndef USE_ANTIWALLHACK
-USE_ANTIWALLHACK=1
+USE_ANTIWALLHACK=0
 endif
 
 ifndef USE_BLOOM
@@ -310,9 +310,9 @@
 JPDIR=$(MOUNT_DIR)/jpeg-8c
 OGGDIR=$(MOUNT_DIR)/libogg-1.3.2
 VORBISDIR=$(MOUNT_DIR)/libvorbis-1.3.5
-OPUSDIR=$(MOUNT_DIR)/opus-1.1.2
-OPUSFILEDIR=$(MOUNT_DIR)/opusfile-0.7
-ZDIR=$(MOUNT_DIR)/zlib-1.2.8
+OPUSDIR=$(MOUNT_DIR)/opus-1.1.4
+OPUSFILEDIR=$(MOUNT_DIR)/opusfile-0.8
+ZDIR=$(MOUNT_DIR)/zlib-1.2.11
 FTDIR=$(MOUNT_DIR)/freetype-2.6.4
 SPLDIR=$(MOUNT_DIR)/splines
 Q3ASMDIR=$(MOUNT_DIR)/tools/asm
@@ -417,11 +417,11 @@
     ifeq ($(CROSS_COMPILING),1)
       ifeq ($(ARCH),x86)
       SDL_LIBS = $(LIBSDIR)/linux32/libSDL2main.a \
-                 $(LIBSDIR)/linux32/libSDL2-2.0.so.0.4.0
+                 $(LIBSDIR)/linux32/libSDL2-2.0.so.0.4.1
       endif
       ifeq ($(ARCH),x86_64)
       SDL_LIBS = $(LIBSDIR)/linux64/libSDL2main.a \
-                 $(LIBSDIR)/linux64/libSDL2-2.0.so.0.4.0
+                 $(LIBSDIR)/linux64/libSDL2-2.0.so.0.4.1
       endif
     endif
   endif
