=== debian/changelog ===
iortcw (1.51+dfsg1-3) unstable; urgency=medium

  * d/p/1.52/All-Fix-improve-buffer-overflow-in-MSG_ReadBits-MSG_Write.patch:
    Add patch (from ioquake3 via upstream) to fix a read buffer overflow
    in MSG_ReadBits (CVE-2017-11721)

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Aug 2017 11:56:31 +0100

iortcw (1.51+dfsg1-2) unstable; urgency=medium

  * d/copyright, d/rules: Update to reflect addition of COPYING.txt
    to the upstream repository (the license remains the same)
  * d/apparmor.d: Allow even more device enumeration
  * Declare compliance with Debian Policy 4.0.0

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Jul 2017 07:40:19 +0100

iortcw (1.51+dfsg1-1) unstable; urgency=medium

  * Reference CVE-2017-6903 in previous changelog entry
  * Reset git branch to debian/master
  * New upstream release
    - drop patches that came from upstream
  * d/copyright: Fix format declaration
  * AppArmor: Allow reading OpenAL static data files

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Jun 2017 11:33:12 +0100
