=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.0),
  libvorbis-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/iortcw.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/iortcw.git
 Homepage: https://github.com/iortcw/iortcw/
