=== debian/rules ===
--- 
+++ 
@@ -125,8 +125,8 @@
 
 ORIG_SOURCE = iortcw
 ORIG_REPO ?= https://github.com/iortcw/iortcw
-ORIG_REL = 1.50a
-ORIG_REV = 1.5a
+ORIG_REL = 1.51
+ORIG_REV = $(ORIG_REL)
 ORIG_DATE =
 ORIG_SUFFIX = +dfsg1
 
@@ -145,15 +145,8 @@
 		--format=tar \
 		--prefix=${ORIG_SOURCE}-${ORIG_VER}.orig/ \
 		${ORIG_EXPORT} | tar -xf-
-	test -e ${ORIG_SOURCE}-${ORIG_VER}.orig/MP/COPYING.txt || wget -O ${ORIG_SOURCE}-${ORIG_VER}.orig/MP/COPYING.txt https://raw.githubusercontent.com/id-Software/RTCW-MP/master/COPYING.txt
-	test -e ${ORIG_SOURCE}-${ORIG_VER}.orig/SP/COPYING.txt || wget -O ${ORIG_SOURCE}-${ORIG_VER}.orig/SP/COPYING.txt https://raw.githubusercontent.com/id-Software/RTCW-SP/master/COPYING.txt
-	: # if in the Debian checkout, check that they haven't changed
-	if [ -e debian/rtcw.install ]; then \
-		e=0; \
-		diff -u MP/COPYING.txt ${ORIG_SOURCE}-${ORIG_VER}.orig/MP/COPYING.txt || e=$$?; \
-		diff -u SP/COPYING.txt ${ORIG_SOURCE}-${ORIG_VER}.orig/SP/COPYING.txt || e=$$?; \
-		exit $$e; \
-	fi
+	test -e ${ORIG_SOURCE}-${ORIG_VER}.orig/MP/COPYING.txt
+	test -e ${ORIG_SOURCE}-${ORIG_VER}.orig/SP/COPYING.txt
 	rm -rf ${ORIG_SOURCE}-${ORIG_VER}.orig/*/code/AL
 	rm -rf ${ORIG_SOURCE}-${ORIG_VER}.orig/*/code/SDL2
 	rm -rf ${ORIG_SOURCE}-${ORIG_VER}.orig/*/code/curl-*
