## iortcw 1.51.b+dfsg1

=== MP/Makefile ===
--- 
+++ 
@@ -126,7 +126,7 @@
 export CROSS_COMPILING
 
 ifndef VERSION
-VERSION=1.51-MP
+VERSION=1.51b-MP
 endif
 
 ifndef CLIENTBIN
@@ -266,7 +266,7 @@
 endif
 
 ifndef USE_ANTIWALLHACK
-USE_ANTIWALLHACK=0
+USE_ANTIWALLHACK=1
 endif
 
 ifndef USE_BLOOM
