=== SP/Makefile ===
--- 
+++ 
@@ -123,7 +123,7 @@
 export CROSS_COMPILING
 
 ifndef VERSION
-VERSION=1.51-SP
+VERSION=1.51b-SP
 endif
 
 ifndef CLIENTBIN
