=== debian/changelog ===
iortcw (1.51.b+dfsg1-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.3
  * Replace kde-baseapps-bin dependency with kdialog (see #885839)
  * AppArmor: Use <abstractions/wayland> from apparmor (>= 2.10.95-5)
    instead of reinventing it
  * AppArmor: Allow reading EGL vendor configuration
  * AppArmor: Allow zenity to read from dconf
  * Move packaging to salsa.debian.org
  * AppArmor: Remove rules for OpenAL static data files, which are now
    allowed by <abstractions/audio> (#874665 in apparmor)

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2018 09:26:05 +0000

iortcw (1.51.b+dfsg1-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.1
  * Set Rules-Requires-Root to no

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Nov 2017 10:19:01 +0000

iortcw (1.51.b+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - Drop patch from previous version, now upstream
  * Declare compliance with Debian Policy 4.1.0
  * d/watch: Mangle version number so the trailing "b" is not considered
    to be less than +dfsg

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Sep 2017 11:18:04 +0100
