=== debian/control ===
--- 
+++ 
@@ -16,9 +16,10 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.0),
  libvorbis-dev,
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/iortcw.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/iortcw.git
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/games-team/iortcw.git
+Vcs-Browser: https://salsa.debian.org/games-team/iortcw
 Homepage: https://github.com/iortcw/iortcw/
 
 Package: rtcw
@@ -28,7 +29,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- x11-utils | zenity | kde-baseapps-bin,
+ x11-utils | zenity | kdialog,
+Breaks:
+ apparmor (<< 2.10.95-5~),
 Description: game engine for Return to Castle Wolfenstein
  Return to Castle Wolfenstein is a military- and occult-themed first-person
  shooter game in a Second World War setting, originally released in 2001.
