=== debian/rules ===
--- 
+++ 
@@ -125,8 +125,8 @@
 
 ORIG_SOURCE = iortcw
 ORIG_REPO ?= https://github.com/iortcw/iortcw
-ORIG_REL = 1.51
-ORIG_REV = $(ORIG_REL)
+ORIG_REL = 1.51.b
+ORIG_REV = 1.51b
 ORIG_DATE =
 ORIG_SUFFIX = +dfsg1
