=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/(\d\S*)\.tar\.gz/iortcw-$1\.tar\.gz/,uversionmangle=s/^(\d+\.\d)([a-z])$/${1}0${2}/;s/^([0-9.]+)([a-z])$/${1}.${2}/,dversionmangle=s/(\+[0-9]{8})?\+dfsg[0-9]+$//" \
  https://github.com/iortcw/iortcw/tags .*/(\d\S*)\.tar\.gz
